org.h2gis.functions.spatial.edit

## Class ST_RemoveRepeatedPoints

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.edit.ST_RemoveRepeatedPoints

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_RemoveRepeatedPoints
    extends org.h2gis.api.DeterministicScalarFunction

Remove duplicated points on a geometry

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_RemoveRepeatedPoints()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.GeometryCollection` `removeDuplicateCoordinates(org.locationtech.jts.geom.GeometryCollection geometryCollection, double tolerance)` Removes duplicated coordinates within a GeometryCollection
`static org.locationtech.jts.geom.Geometry` `removeDuplicateCoordinates(org.locationtech.jts.geom.Geometry geom, double tolerance)` Removes duplicated points within a geometry.
`static org.locationtech.jts.geom.LinearRing` `removeDuplicateCoordinates(org.locationtech.jts.geom.LinearRing linearRing, double tolerance)` Removes duplicated coordinates within a linearRing.
`static org.locationtech.jts.geom.LineString` `removeDuplicateCoordinates(org.locationtech.jts.geom.LineString linestring, double tolerance)` Removes duplicated coordinates within a LineString.
`static org.locationtech.jts.geom.MultiLineString` `removeDuplicateCoordinates(org.locationtech.jts.geom.MultiLineString multiLineString, double tolerance)` Removes duplicated coordinates in a MultiLineString.
`static org.locationtech.jts.geom.MultiPolygon` `removeDuplicateCoordinates(org.locationtech.jts.geom.MultiPolygon multiPolygon, double tolerance)` Removes duplicated coordinates within a MultiPolygon.
`static org.locationtech.jts.geom.Polygon` `removeDuplicateCoordinates(org.locationtech.jts.geom.Polygon polygon, double tolerance)` Removes duplicated coordinates within a Polygon.
`static org.locationtech.jts.geom.Geometry` `removeRepeatedPoints(org.locationtech.jts.geom.Geometry geometry)` Returns a version of the given geometry with duplicated points removed.
`static org.locationtech.jts.geom.Geometry` `removeRepeatedPoints(org.locationtech.jts.geom.Geometry geometry, double tolerance)` Returns a version of the given geometry with duplicated points removed.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_RemoveRepeatedPoints

    public ST_RemoveRepeatedPoints()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### removeRepeatedPoints

    public static org.locationtech.jts.geom.Geometry removeRepeatedPoints(org.locationtech.jts.geom.Geometry geometry)
                                                                   throws SQLException,
                                                                          SQLException,
                                                                          SQLException,
                                                                          SQLException

Returns a version of the given geometry with duplicated points removed.

Parameters:
  `geometry` -
Returns:
Throws:
  `SQLException`

#### removeRepeatedPoints

    public static org.locationtech.jts.geom.Geometry removeRepeatedPoints(org.locationtech.jts.geom.Geometry geometry,
                                                                          double tolerance)
                                                                   throws SQLException

Returns a version of the given geometry with duplicated points removed.

Parameters:
  `geometry` -
  `tolerance` - to delete the coordinates
Returns:
Throws:
  `SQLException`

#### removeDuplicateCoordinates

    public static org.locationtech.jts.geom.Geometry removeDuplicateCoordinates(org.locationtech.jts.geom.Geometry geom,
                                                                                double tolerance)
                                                                         throws SQLException

Removes duplicated points within a geometry.

Parameters:
  `geom` -
  `tolerance` - to delete the coordinates
Returns:
Throws:
  `SQLException`

#### removeDuplicateCoordinates

    public static org.locationtech.jts.geom.LineString removeDuplicateCoordinates(org.locationtech.jts.geom.LineString linestring,
                                                                                  double tolerance)
                                                                           throws SQLException

Removes duplicated coordinates within a LineString.

Parameters:
  `linestring` -
  `tolerance` - to delete the coordinates
Returns:
Throws:
  `SQLException`

#### removeDuplicateCoordinates

    public static org.locationtech.jts.geom.LinearRing removeDuplicateCoordinates(org.locationtech.jts.geom.LinearRing linearRing,
                                                                                  double tolerance)

Removes duplicated coordinates within a linearRing.

Parameters:
  `linearRing` -
  `tolerance` - to delete the coordinates
Returns:

#### removeDuplicateCoordinates

    public static org.locationtech.jts.geom.MultiLineString removeDuplicateCoordinates(org.locationtech.jts.geom.MultiLineString multiLineString,
                                                                                       double tolerance)
                                                                                throws SQLException

Removes duplicated coordinates in a MultiLineString.

Parameters:
  `multiLineString` -
  `tolerance` - to delete the coordinates
Returns:
Throws:
  `SQLException`

#### removeDuplicateCoordinates

    public static org.locationtech.jts.geom.Polygon removeDuplicateCoordinates(org.locationtech.jts.geom.Polygon polygon,
                                                                               double tolerance)
                                                                        throws SQLException

Removes duplicated coordinates within a Polygon.

Parameters:
  `polygon` - the input polygon
  `tolerance` - to delete the coordinates
Returns:
Throws:
  `SQLException`

#### removeDuplicateCoordinates

    public static org.locationtech.jts.geom.MultiPolygon removeDuplicateCoordinates(org.locationtech.jts.geom.MultiPolygon multiPolygon,
                                                                                    double tolerance)
                                                                             throws SQLException

Removes duplicated coordinates within a MultiPolygon.

Parameters:
  `multiPolygon` -
  `tolerance` - to delete the coordinates
Returns:
Throws:
  `SQLException`

#### removeDuplicateCoordinates

    public static org.locationtech.jts.geom.GeometryCollection removeDuplicateCoordinates(org.locationtech.jts.geom.GeometryCollection geometryCollection,
                                                                                          double tolerance)
                                                                                   throws SQLException

Removes duplicated coordinates within a GeometryCollection

Parameters:
  `geometryCollection` -
  `tolerance` - to delete the coordinates
Returns:
Throws:
  `SQLException`